package com.ym.mec.education.controller;

import com.ym.mec.education.base.PageResponse;
import com.ym.mec.education.req.ClassGroupReq;
import com.ym.mec.education.service.ICourseScheduleService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @program: mec
 * @description: 课表
 * @author: xw
 * @create: 2019-09-26 21:04
 */
@RestController
@RequestMapping("api/courseSchedule")
@Api(tags = "课表")
@Slf4j
public class CourseScheduleController {

    @Autowired
    private ICourseScheduleService courseScheduleService;

    @PostMapping("/list")
    @ApiOperation("课表列表")
    public PageResponse list(@RequestBody ClassGroupReq classGroupReq) {
        return courseScheduleService.getPage(classGroupReq);
    }
}
